/*! 
* 
* Copyright(c) 2010 Apogee Instruments, Inc. 
* \class ApgEthernet 
* \brief Wrapper that hides the switch between linux and windows ethernet io. 
* 
*/ 


#ifndef APGETHERNET_INCLUDE_H__ 
#define APGETHERNET_INCLUDE_H__ 

#include <vector>
#include <string>

class IEthernetIO;

class ApgEthernet 
{ 
    public: 
        ApgEthernet(); 
        virtual ~ApgEthernet(); 

        void HttpGet( const std::string & Url,
            std::string & data) const;

        void HttpGet( const std::string & Url, 
            std::vector<unsigned short> & data,
            int numBytesExpected) const;

    private:
        IEthernetIO * m_IoObj;
}; 

#endif 
